package cn.ey.biz.module.system.service.engagement.business;

import cn.ey.biz.common.pojo.PageParam;
import cn.ey.biz.common.pojo.PageResult;
import cn.ey.biz.module.system.controller.engagement.business.vo.EngagementBusinessCreateReqVO;
import cn.ey.biz.module.system.controller.engagement.business.vo.EngagementBusinessCreateRespVO;
import cn.ey.biz.module.system.controller.engagement.business.vo.EngagementBusinessFieldRecordRespVO;
import cn.ey.biz.module.system.controller.engagement.business.vo.EngagementBusinessLogRespVO;

import java.util.List;

public interface EngagementBusinessFieldService {

    Long createBusinessField(EngagementBusinessCreateReqVO reqVO);

    void updateBusinessField(List<EngagementBusinessCreateReqVO> reqVOS);

    EngagementBusinessCreateRespVO getBusinessFieldDetail(Long id);

    List<EngagementBusinessCreateRespVO> getBusinessFieldList();

    EngagementBusinessFieldRecordRespVO getOperationRecord();

    PageResult<EngagementBusinessLogRespVO> getPageLog(PageParam pageParam);
}
